Begin Signup MFA
const url = 'https://api.spartanauth.com/api/v1/signup/mfa/begin';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"sectorID":"example","email":"example","transactionId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.spartanauth.com/api/v1/signup/mfa/begin \ --header 'Content-Type: application/json' \ --data '{ "sectorID": "example", "email": "example", "transactionId": "example" }'Sends an email OTP to begin MFA enrollment for a user in a sector that requires MFA at signup. Public endpoint, but it requires a recent transactionID proving the user has already completed the password step and returns a generic success response to avoid leaking account state.
Request Body
Section titled “Request Body ”SignupMFABegin — sends an OTP to the new user’s email to begin MFA enrollment. Available for MFA-required sectors. transaction_id must be a valid transaction that has the password-challenge success bit set — this proves the caller either (a) just created the account (returned from CreateUser) or (b) passed PasswordChallenge.
SignupMFABegin — sends an OTP to the new user’s email to begin MFA enrollment. Available for MFA-required sectors. transaction_id must be a valid transaction that has the password-challenge success bit set — this proves the caller either (a) just created the account (returned from CreateUser) or (b) passed PasswordChallenge.
object
Example generated
{ "sectorID": "example", "email": "example", "transactionId": "example"}Responses
Section titled “ Responses ”A successful response.
object
Example generated
{}default
Section titled “default ”An unexpected error response.
object
object
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}